# CMxStatusArray Class

Namespace: `ArchestrA.Toolkit`

CMxStatusArray is derived from CMxArray and provides support for MxStatus Array Attributes.

**Syntax**

```csharp
public class CMxStatusArray : CMxArray<MxStatus>
```

## CMxStatusArray Properties

### Value Property

Provides a Property to get and set the value as a MxStatus array.

**Syntax**

```csharp
public MxStatus[] Value { get; set; }
```

**Returns**

MxStatus[ ]

### Property to Get and Set the MxStatus Value using the [ ] Operator

Provide a property to get and set the MxStatus value of an element using [] Operator.

**Syntax**

```csharp
public MxStatus this[short i] { get; set; }
```

**Returns**

MxStatus

## CMxStatusArray Constructors

### CMxStatusArray Constructor int

Provides a constructor to initialize the array to a default length.

**Syntax**

```csharp
public CMxStatusArray(int length);
```

**Parameters**

**`length`**

[in] integer value that holds the array length.

### CMxStatusArray Constructor MxStatus[ ]

Provides a constructor to initialize the class with an MxStatus array default value.

**Syntax**

```csharp
public CMxStatusArray (MxStatus[] value);
```

**Parameters**

**`value`**

[in] MxStatus[ ] value to be set.

### CMxStatusArray Constructor SupportWrapper, string

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxStatusArray (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxStatusArray Method

### Set Method

Provides a method to set the value of the Attribute from a CMxStatusArray.

**Syntax**

```csharp
public void Set(CMxStatusArray newValue);
```

**Parameters**

**`newValue`**

[in] CMxStatusArray value to be set.

## CMxStatusArray Operator Overloads

### CMxStatusArray Operator Overload MxStatus[ ]

Provides an operator that converts from MxStatus array to CMxStatusArray.

**Syntax**

```csharp
public static implicit operator CMxStatusArray(MxStatus[] val);
```

**Parameters**

**`val`**

[in] MxStatus[ ] value to convert to CMxStatusArray.

**Returns**

CMxStatusArray

### CMxStatusArray Operator Overload CMxValue

Provides an operator that converts from CMxValue to CMxStatusArray.

**Syntax**

```csharp
public static implicit operator CMxStatusArray(CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxStatusArray.

**Returns**

CMxStatusArray

### MxStatus[ ] Operator Overload CMxStatusArray

Provides an operator that converts from CMxStatusArray to a MxStatus array.

**Syntax**

```csharp
public static implicit operator MxStatus[](CMxStatusArray val);
```

**Parameters**

**`val`**

[in] CMxStatusArray value to convert to MxStatus[ ].

**Returns**

MxStatus[ ]

### CMxValue Operator Overload CMxStatusArray

Provides an operator that converts from CMxStatusArray to CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxStatusArray val);
```

**Parameters**

**`val`**

[in] CMxStatusArray value to convert to CMxValue.

**Returns**

CMxValue
